Subject: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Stefan Monnier <[email-masked]>
Date: Tue, 05 Jul 2011 20:58:16 -0400

>>> Isn't burying a buffer the more common "quit"-like action in most modes?
>>> I guess there's no real standard for that, so having `q' be
>>> `kill-buffer' sounds OK to me.
>> AFAIK, usually `q' is bound to `quit-window'.
> Which hides the window and buries the buffer.  But doesn't kill it, like
> `view-mode' does.

C-u q does.  And in any case, I was just describing the usual binding
used in special-modes, regardless of whether it behaves like view-mode.
FWIW, I find view-mode's behavior generally odd and hard to predict (as
a user), so I don't think it's crucial to always follow its lead.

        Stefan